.proposal-paragraph {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  margin-left: 7px;

  input[type='checkbox'] {
    flex-shrink: 0;
  }

  input[type='checkbox']::before {
    position: relative;
    top: -3px;
    display: block;
    box-sizing: border-box;
    width: 18px;
    height: 18px;
    background-color: $pix-neutral-0;
    border: 2px solid $pix-neutral-40;
    border-radius: 10%;
    content: ' ';
  }

  input[type='checkbox']:checked::before {
    background-color: $pix-primary;
    border-color: $pix-primary;
  }

  input[type='checkbox']:checked::after {
    position: relative;
    top: -21px;
    display: block;
    width: 18px;
    height: 18px;
    color: $pix-neutral-0;
    font-weight: $font-bold;
    font-size: 0.875rem;
    text-align: center;
    content: '✓';
  }

  input[type='checkbox']:focus::before,
  input[type='checkbox']:hover::before {
    border-color: $pix-primary;
    box-shadow: 0 0 0 8px rgba($pix-primary, 0.1);
  }

  input[type='checkbox']:active::before {
    box-shadow: 0 0 0 8px rgba($pix-primary, 0.3);
  }
}

.label-checkbox-proposal {
  position: relative;
  display: inline-block;
  width: 100%;
  padding-left: 20px;
  font-weight: $font-normal;
  line-height: 21px;
  cursor: pointer;
}
